{% extends "base.html" %}
{% import '_forms.html' as forms %}
{% block header %}
<link rel="stylesheet" type="text/css" href="assets/css/main.css">
{% endblock %}
{% block content %}
<div class="tile is-parent">
  <article class="tile box is-child ">
    <h2 class="title is-2">{{ strings.users }}</h2>
      <form method="POST">
        {{ forms.input_text('first_name', strings.first_name) }}
        {{ forms.input_text('last_name', strings.last_name) }}
        {{ forms.input_text('cn', strings.cn) }}
        {{ forms.input_text('display_name', strings.display_name) }}
        {{ forms.input_text('email', strings.email) }}
        {{ forms.button(strings.add) }}
        {% if add_msg %}<p>{{ add_msg }}</p>{% endif %}
      </form>
  </article>
</div>

{% for user in users %}
<div class="tile is-parent">
  <article class="tile box is-child is-collapsible" id="user-{{ user.cn }}">
    <h2 class="title is-2 collapse">{{ user.displayName }}</h2>
      <div class="content" style="display: none">
        <form method="POST">
          <input type="hidden" name="user" value="{{ user.uid }}">
          {{ forms.input_text('first_name', strings.first_name, None, user.givenName) }}
          {{ forms.input_text('last_name', strings.last_name, None, user.cn) }}
          {{ forms.input_text('cn', strings.cn, None, user.uid) }}
          {{ forms.input_text('display_name', strings.display_name, None, user.displayName) }}
          {{ forms.input_text('email', strings.email, None, user.mail) }}
          <div class="is-pulled-right">
              <form method="POST" class="add-user-to-group">
                  <div class="is-pulled-right">{{ forms.button(strings.save) }}</div>

              </form>
          </div>
        </form>
        <div class="is-pulled-right margin-right-10px"><button class="button is-danger is-rounded modal-button" data-target="modal-delete-{{loop.index}}">{{ strings.delete }}</button></div>
        <div class="is-pulled-right margin-right-10px"><button class="button is-warning is-rounded modal-button" data-target="modal-reset-{{loop.index}}">{{ strings.reset_password }}</button></div>
      </div>
  </article>
</div>

<div class="modal" id="modal-delete-{{loop.index}}">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <p class="modal-card-title">{{ strings.delete }}</p>
    </header>
    <section class="modal-card-body">
      {{ strings.confirm_user_delete.format(user.uid) }}
    </section>
    <footer class="modal-card-foot">
      <form method="post" class="margin-right-10px">
        <input type="hidden" name="delete_user" value="{{ user.uid }}">
        <input type="submit" class="button is-danger" value="{{ strings.yes }}">
      </form>
      <p class="button close-modal" type="button">{{ strings.no }}</p>
    </footer>
  </div>
</div>

<div class="modal" id="modal-reset-{{loop.index}}">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <p class="modal-card-title">{{ strings.reset_password }}</p>
    </header>
    <section class="modal-card-body">
      {{ strings.confirm_user_password_reset.format(user.uid) }}
    </section>
    <footer class="modal-card-foot">
      <form method="post" class="margin-right-10px">
        <input type="hidden" name="reset_password" value="{{ user.uid }}">
        <input type="submit" class="button is-danger" value="{{ strings.yes }}">
      </form>
      <p class="button close-modal" type="button">{{ strings.no }}</p>
    </footer>
  </div>
</div>
{% endfor %}

<script src="assets/js/users.js"></script>
<script src="assets/js/app.js">

</script>
{% endblock %}
